EDIT - bug #6219

Deleting synonym is persisted immediately, but the editor is set dirty
11/24/2016 01:18 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 8:00 hours
Target version: Release 5.0

Severity: normal Found in Version:

Description

When deleting a synonym in hame editor the deletion is persisted immediately. The editor is set dirty that looks like the delete is
reversible but it isn't.

Related issues:
Related to EDIT - bug #5693: Deleting a synonym only deletes the synonym rela... Closed
Related to EDIT - feature request #6308: Add configuration dialog for the del... Closed

Associated revisions

Revision a6de10b5 - 11/25/2016 12:59 PM - Katja Luther

ref #6219: add warning that synonym is deleted immediately

Revision 0¢5520e0 - 02/22/2018 11:33 AM - Katja Luther

fix #6219: delete of synonyms is performed with save in name editor

History

#1 - 11/24/2016 01:18 PM - Katja Luther
- Related to bug #5693: Deleting a synonym only deletes the synonym relation added

#2 - 11/25/2016 09:01 AM - Andreas Mdiller

The preferred solution is to handle it similar to bulk editor where the deletion from database is invoked only with save. If this is not possible we need to
warn the user that deleting will save as probably everything in the open NameEditor is saved at that point.

#3 - 11/25/2016 09:45 AM - Katja Luther
- Target version changed from Unassigned CDM tickets to Release 4.5

- Estimated time set to 8:00 h

I think it would be nice to implement it in a way similar to the bulkeditor, therefore we have to reconstruct the name editor in a way that we add
annotations to the elements to remember the operations. That needs some time (I would think 1 day), maybe we should do this in the next release. |
will add the warning and next week the complete implementation.

#4 - 01/03/2017 09:39 PM - Katja Luther

- Related to feature request #6308: Add configuration dialog for the deletion of synonyms in name editor added

#5 - 01/19/2017 01:32 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#6 - 03/10/2017 08:46 PM - Andreas Miuller

- Target version changed from Release 4.6 to Release 4.7

#7 - 05/09/2017 01:45 PM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 30

#8 - 05/17/2017 11:01 AM - Katja Luther
- Target version changed from Release 4.7 to Release 4.8

#9 - 07/21/2017 11:43 AM - Katja Luther

- Target version changed from Release 4.8 to Release 4.10

#10 - 09/24/2017 04:55 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12

#11 - 12/05/2017 02:06 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#12 - 01/31/2018 01:00 PM - Andreas Miiller

is this still an open issue?

#13 - 02/13/2018 03:15 PM - Katja Luther

the delete is still performed immediately

#14 - 02/13/2018 03:15 PM - Katja Luther

- Target version changed from Release 4.13 to Release 4.14

#15 - 02/16/2018 12:00 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#16 - 02/22/2018 11:36 AM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 30 to 50

Applied in changeset taxeditor|0c5520e0eeb9abc0d9519f10f63f035802bde735.

#17 - 02/22/2018 11:37 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 30

please review.

#18 - 02/22/2018 11:37 AM - Katja Luther
- % Done changed from 30 to 70

#19 - 04/30/2018 05:47 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 100

Seems to work correctly
